QGIS Application - Bug report #16911
Spatial query plugin and disjoint operator is wrong
2017-07-21 04:14 PM - Etienne MORO

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Spatial Query

Affected QGIS version:2.18.11 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 24810
Description

The result of a spatial query (using the spatial query plugin) with the operator 'disjoint' is wrong.
For example, using the 2 SHP attached:

COMMUNE disjoint CHEF_LIEU -> the result contains 2 COMMUNE with a CHEF_LIEU inside !
This function work well without this bug in QGis 2.14

History

#1 - 2017-07-21 05:11 PM - Giovanni Manghi
- Operating System deleted (Windows 7, Windows 10)

Confirmed on Linux too.

#2 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#3 - 2017-11-02 12:34 PM - Alexander Bruy

Spatial Query plugin is not maintained. Use Processing (Select By Location, Extract By Location) instead, these algorithms much more flexible.

#4 - 2017-11-10 09:13 AM - Alexander Bruy
- Resolution set to wontfix

- Status changed from Open to Closed

Closed as "won't fix" because plugin removed from master and there is working alternative in Processing

Files

COMMUNE-CHEFLIEU.zip 63 KB 2017-07-21 Etienne MORO
